%define guiver	20040102

Summary:	PPTP-linux GUI configuration tool 
Name:		pptp-php-gtk
Version:	0.%{guiver}
Release:	1mdk
License:	GPL
Group:		Networking/Other
Source:		http://telia.dl.sourceforge.net/sourceforge/pptpclient/%{name}-%{guiver}.tar.bz2
URL:		http://pptpclient.sourceforge.net/
Requires:	ppp >= 2.4.2 php-gtk php-pcntl
Buildroot:	%_tmppath/%name-%version-%release-root
Buildarch:	noarch

%description
This is a program for configuration and management of PPTP Client
tunnels on Linux. It is beta test quality, for review by other
developers. It duplicates and extends the functions of the
pptp-command program already in use on the project.

%prep

%setup -q -n %{name}-%{guiver}

%build
# (sb) fix path to php binary
perl -pi -e 's|lib/pptp-php-gtk/php/||' pptp-php-gtk.php
# (sb) move support files to /usr/share
perl -pi -e 's|usr/lib|usr/share|' pptp-php-gtk.php
perl -pi -e 's|usr/lib|usr/share|' Makefile

%make

%install
rm -fr %buildroot

%makeinstall_std

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog DEVELOPERS NEWS README TODO
%{_bindir}/pptp-php-gtk.php
%{_bindir}/pptpconfig
%{_datadir}/pptp-php-gtk/add.xpm
%{_datadir}/pptp-php-gtk/delete.xpm
%{_datadir}/pptp-php-gtk/ping.xpm
%{_datadir}/pptp-php-gtk/pptp-php-gtk.xml
%{_datadir}/pptp-php-gtk/start.xpm
%{_datadir}/pptp-php-gtk/stop.xpm
%{_datadir}/pptp-php-gtk/update.xpm
%{_datadir}/applications/pptp-php-gtk.desktop


%changelog
* Wed May 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.20040102-1mdk
- First Mandrakelinux packaging

